Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0007098 [DCSS] Bug Report minor have not tried 2013-05-28 21:23 2013-08-03 06:18
Reporter jevouse View Status public  
Assigned To MarvinPA
Priority normal Resolution done  
Status resolved   Product Branch 0.13 ancient branch
Summary 0007098: Curare does not auto-identify rPois jewellery
Description I was hit by a curare needle and there was no notification of poison resist or anything.
Additional Information
Tags No tags attached.
Attached Files ? file icon Kekeke.cs [^] (147,355 bytes) 2013-05-28 21:23
? file icon 0001-Allow-use-id-of-rPoison-when-hit-by-needles.patch [^] (1,458 bytes) 2013-08-02 21:07 [Show Content]

- Relationships

-  Notes
(0022914)
neil (administrator)
2013-05-28 22:12
edited on: 2013-05-29 17:01

You're also wearing an armour of poison resistance. If you were wearing it when the curare hit you, that would explain the lack of identification: resisting the poison is adequately explained by the armour, so the character has no indication that the ring had rPois too.

(Edit: The above is wrong; I thought I remembered code that compared your resistance with and without unknown items, but on inspection all I see is the usual _maybe_id_ring check.)

(0022916)
jevouse (reporter)
2013-05-29 00:40

the thing is, i identified it later by drinking a potion of poison while still wearing the armour of poison resistance, so this is inconsistent behaviour.
(0022923)
neil (administrator)
2013-05-29 17:02

On inspection, curare seems to not call _maybe_id_resist().
(0023631)
cjo (reporter)
2013-08-02 21:09

I'm attaching a patch. I noticed that regular poison needles also do not allow identification of rings of poison resistance, so I added that also. I suspect that someday someone could de-tangle some of the ways that these files pass information around, but that's a more ambitious project.
(0023636)
MarvinPA (developer)
2013-08-03 06:18

Applied, thanks for the patch.

- Issue History
Date Modified Username Field Change
2013-05-28 21:23 jevouse New Issue
2013-05-28 21:23 jevouse File Added: Kekeke.cs
2013-05-28 22:12 neil Note Added: 0022914
2013-05-29 00:40 jevouse Note Added: 0022916
2013-05-29 17:01 neil Note Edited: 0022914
2013-05-29 17:02 neil Note Added: 0022923
2013-06-07 09:44 neil Summary Ring of RPos did not autoidentify => Curare does not auto-identify rPois jewellery
2013-08-02 21:07 cjo File Added: 0001-Allow-use-id-of-rPoison-when-hit-by-needles.patch
2013-08-02 21:09 cjo Note Added: 0023631
2013-08-03 06:18 MarvinPA Note Added: 0023636
2013-08-03 06:18 MarvinPA Status new => resolved
2013-08-03 06:18 MarvinPA Fixed in Branch => 0.13 development branch
2013-08-03 06:18 MarvinPA Resolution open => done
2013-08-03 06:18 MarvinPA Assigned To => MarvinPA


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker